Index: CHANGELOG
===================================================================
--- CHANGELOG	(revision 824)
+++ CHANGELOG	(revision 978)
@@ -1,2 +1,35 @@
+Dotclear 2.5.0 - 201?-??-13
+===========================================================
+* Add (none) option to image insertion title pattern
+* Smileys are not more converted in image in pre,code,kbd,script and math contents
+* Notes' title can be now enclosed in h4 (default), h3 or p HTML tag
+* Now display translated name and desc of plugins
+* Add publication date validation on post and page editing forms
+* Add description to widgets
+* Add syntax color option to theme editor plugin
+* Add delete button on media item page
+* Add/complement display modes (all pages, home page only, except on home page) for all widgets
+* {{tpl:Widgets}} without type attribute set displays now all widgets (from nav, extra and custom)
+* Add {{tpl:else}}, {{tpl:TagCount}}, <tpl:TagIf>, {{tpl:CategoryEntriesCount}} template tags
+* Add cat_only, no_tag and content_only attributes to {{tpl:EntryFirstImage}} tag
+* Add capitalize attribute to template filters' list
+* Enhance links lookup anti spam filter
+* Add hidden optional attribute for pages
+* Adaptative compression rate for thumbnails generation
+* Add timestamp on admin information messages
+* Update to jQuery 1.8.2 and jQuery-UI 1.9 (custom)
+* Add default favicon.ico
+* Add default attributes settings for image,mp3,flv insertion
+* Various bug fixes
+* Various cosmetic updates and contrast adjustments
+
+Dotclear 2.4.4 - 2012-08-13
+===========================================================
+* Bugfix: Programmed entries works again.
+* Compatibility fix: widgets are now fully php >=5.3 compliant
+* Security fix: potential CSRF in user management
+* has_tag now part of dotclear core, moved from tag plugin.
+* empty title fixed on rss reader widget
+
 Dotclear 2.4.3 - 2012-05-18
 ===========================================================
Index: admin/blog_pref.php
===================================================================
--- admin/blog_pref.php	(revision 860)
+++ admin/blog_pref.php	(revision 976)
@@ -82,5 +82,7 @@
 	__('year/month/title') => '{y}/{m}/{t}',
 	__('year/title') => '{y}/{t}',
-	__('title') => '{t}'
+	__('title') => '{t}',
+	__('post id/title') => '{id}/{t}',
+	__('post id') => '{id}'
 );
 if (!in_array($blog_settings->system->post_url_format,$post_url_combo)) {
@@ -88,6 +90,14 @@
 }
 
+# Note title tag combo
+$note_title_tag_combo = array(
+	__('H4') => 0,
+	__('H3') => 1,
+	__('P') => 2
+);
+
 # Image title combo
 $img_title_combo = array(
+	__('(none)') => '',
 	__('Title') => 'Title ;; separator(, )',
 	__('Title, Date') => 'Title ;; Date(%b %Y) ;; separator(, )',
@@ -98,4 +108,20 @@
 	$img_title_combo[html::escapeHTML($blog_settings->system->media_img_title_pattern)] = html::escapeHTML($blog_settings->system->media_img_title_pattern);
 }
+
+# Image default size combo
+$img_default_size_combo = array();
+$media = new dcMedia($core);
+$img_default_size_combo[__('original')] = 'o';
+foreach ($media->thumb_sizes as $code => $size) {
+	$img_default_size_combo[__($size[2])] = $code;
+}
+
+# Image default alignment combo
+$img_default_alignment_combo = array(
+	__('None') => 'none',
+	__('Left') => 'left',
+	__('Right') => 'right',
+	__('Center') => 'center'
+);
 
 # Robots policy options
@@ -191,4 +217,5 @@
 		$blog_settings->system->put('wiki_comments',!empty($_POST['wiki_comments']));
 		$blog_settings->system->put('enable_xmlrpc',!empty($_POST['enable_xmlrpc']));
+		$blog_settings->system->put('note_title_tag',$_POST['note_title_tag']);
 		
 		$blog_settings->system->put('nb_post_per_page',$nb_post_per_page);
@@ -198,4 +225,7 @@
 		$blog_settings->system->put('media_img_m_size',$media_img_m_size);
 		$blog_settings->system->put('media_img_title_pattern',$_POST['media_img_title_pattern']);
+		$blog_settings->system->put('media_img_default_size',$_POST['media_img_default_size']);
+		$blog_settings->system->put('media_img_default_alignment',$_POST['media_img_default_alignment']);
+		$blog_settings->system->put('media_img_default_link',!empty($_POST['media_img_default_link']));
 		$blog_settings->system->put('nb_post_per_feed',$nb_post_per_feed);
 		$blog_settings->system->put('nb_comment_per_feed',$nb_comment_per_feed);
@@ -247,9 +277,9 @@
 	
 	if (!empty($_GET['add'])) {
-		echo '<p class="message">'.__('Blog has been successfully created.').'</p>';
+		dcPage::message(__('Blog has been successfully created.'));
 	}
 	
 	if (!empty($_GET['upd'])) {
-		echo '<p class="message">'.__('Blog has been successfully updated.').'</p>';
+		dcPage::message(__('Blog has been successfully updated.'));
 	}
 	
@@ -310,19 +340,41 @@
 	form::combo('blog_timezone',dt::getZones(true,true),html::escapeHTML($blog_settings->system->blog_timezone)).
 	'</label></p>'.
-	'</div>'.
-	
-	'<div class="col">'.
+
 	'<p><label for="copyright_notice">'.__('Copyright notice:').
 	form::field('copyright_notice',30,255,html::escapeHTML($blog_settings->system->copyright_notice)).
 	'</label></p>'.
-	
+	'</div>'.
+	
+	'<div class="col">'.
 	'<p><label for="post_url_format">'.__('New post URL format:').
 	form::combo('post_url_format',$post_url_combo,html::escapeHTML($blog_settings->system->post_url_format)).
 	'</label></p>'.
-	
+
+	'<p><label for="note_title_tag">'.__('Note title HTML tag:').
+	form::combo('note_title_tag',$note_title_tag_combo,$blog_settings->system->note_title_tag).
+	'</label></p>'.
+		
 	'<p><label for="enable_xmlrpc" class="classic">'.
 	form::checkbox('enable_xmlrpc','1',$blog_settings->system->enable_xmlrpc).
-	__('Enable XML/RPC interface').'</label>'.
-	' - <a href="#xmlrpc">'.__('more information').'</a></p>'.
+	__('Enable XML/RPC interface').'</label></p>';
+
+	echo
+		'<p class="form-note">'.__('XML/RPC interface allows you to edit your blog with an external client.').'</p>';	
+
+	if ($blog_settings->system->enable_xmlrpc) {
+		echo
+		'<p>'.__('XML/RPC interface is active. You should set the following parameters on your XML/RPC client:').'</p>'.
+		'<ul>'.
+		'<li>'.__('Server URL:').' <strong><code>'.
+		sprintf(DC_XMLRPC_URL,$core->blog->url,$core->blog->id).
+		'</code></strong></li>'.
+		'<li>'.__('Blogging system:').' <strong><code>Movable Type</code></strong></li>'.
+		'<li>'.__('User name:').' <strong><code>'.$core->auth->userID().'</code></strong></li>'.
+		'<li>'.__('Password:').' <strong><code>&lt;'.__('your password').'&gt;</code></strong></li>'.
+		'<li>'.__('Blog ID:').' <strong><code>1</code></strong></li>'.
+		'</ul>';
+	}
+
+	echo
 	'</div>'.
 	'</div>'.
@@ -431,5 +483,20 @@
 	'<p>'.form::combo('media_img_title_pattern',$img_title_combo,html::escapeHTML($blog_settings->system->media_img_title_pattern)).'</p>'.
 	'</div>'.
-	'</div>'.
+
+	'<div class="col">'.
+	'<h4>'.__('Default image insertion attributes').'</h4>'.
+	'<p><label for="media_img_default_size">'.__('Image size:').
+	form::combo('media_img_default_size',$img_default_size_combo,
+		(html::escapeHTML($blog_settings->system->media_img_default_size) != '' ? html::escapeHTML($blog_settings->system->media_img_default_size) : 'm')).
+	'</label></p>'.
+	'<p><label for="media_img_default_alignment">'.__('Image alignment').
+	form::combo('media_img_default_alignment',$img_default_alignment_combo,html::escapeHTML($blog_settings->system->media_img_default_alignment)).
+	'</label></p>'.
+	'<p><label for="media_img_default_link" class="classic">'.
+	form::checkbox('media_img_default_link','1',$blog_settings->system->media_img_default_link).
+	__('As a link to original image').'</label></p>'.
+	'</div>'.
+	'</div>'.
+
 	'</fieldset>';
 	
@@ -465,28 +532,10 @@
 		$core->formNonce().'</p>'.
 		'</form>';
-	}
-	
-	# XML/RPC information
-	echo '<h3 id="xmlrpc">'.__('XML/RPC interface').'</h3>';
-	
-	echo '<p>'.__('XML/RPC interface allows you to edit your blog with an external client.').'</p>';
-	
-	if (!$blog_settings->system->enable_xmlrpc)
-	{
-		echo '<p>'.__('XML/RPC interface is not active. Change settings to enable it.').'</p>';
-	}
-	else
-	{
-		echo
-		'<p>'.__('XML/RPC interface is active. You should set the following parameters on your XML/RPC client:').'</p>'.
-		'<ul>'.
-		'<li>'.__('Server URL:').' <strong>'.
-		sprintf(DC_XMLRPC_URL,$core->blog->url,$core->blog->id).
-		'</strong></li>'.
-		'<li>'.__('Blogging system:').' <strong>Movable Type</strong></li>'.
-		'<li>'.__('User name:').' <strong>'.$core->auth->userID().'</strong></li>'.
-		'<li>'.__('Password:').' <strong>'.__('your password').'</strong></li>'.
-		'<li>'.__('Blog ID:').' <strong>1</strong></li>'.
-		'</ul>';
+	} else {
+		if ($blog_id == $core->blog->id) {
+			echo '<p class="message">'.__('The current blog cannot be deleted').'</p>';
+		} else {
+			echo '<p class="message">'.__('Only superadmin can delete a blog').'</p>';
+		}
 	}
 	
Index: admin/blog_theme.php
===================================================================
--- admin/blog_theme.php	(revision 719)
+++ admin/blog_theme.php	(revision 907)
@@ -219,15 +219,13 @@
 	
 	if (!empty($_GET['upd'])) {
-		echo '<p class="message">'.__('Theme has been successfully changed.').'</p>';
+		dcPage::message(__('Theme has been successfully changed.'));
 	}
 	
 	if (!empty($_GET['added'])) {
-		echo '<p class="message">'.
-		($_GET['added'] == 2 ? __('Theme has been successfully upgraded') : __('Theme has been successfully installed.')).
-		'</p>';
+		dcPage::message(($_GET['added'] == 2 ? __('Theme has been successfully upgraded') : __('Theme has been successfully installed.')));
 	}
 	
 	if (!empty($_GET['del'])) {
-		echo '<p class="message">'.__('Theme has been successfully deleted.').'</p>';
+		dcPage::message(__('Theme has been successfully deleted.'));
 	}
 	
Index: admin/blogs.php
===================================================================
--- admin/blogs.php	(revision 792)
+++ admin/blogs.php	(revision 907)
@@ -76,5 +76,5 @@
 
 if (!empty($_GET['del'])) {
-	echo '<p class="message">'.__('Blog has been successfully deleted.').'</p>';
+	dcPage::message(__('Blog has been successfully deleted.'));
 }
 
@@ -133,5 +133,5 @@
 		'<th>'.__('Blog name').'</th>'.
 		'<th class="nowrap">'.__('Last update').'</th>'.
-		'<th class="nowrap">'.__('Entries').'</th>'.
+		'<th class="nowrap">'.__('Entries (all types)').'</th>'.
 		'<th class="nowrap">'.__('Blog ID').'</th>'.
 		'<th>&nbsp;</th>'.
Index: admin/categories.php
===================================================================
--- admin/categories.php	(revision 560)
+++ admin/categories.php	(revision 907)
@@ -56,14 +56,14 @@
 
 if (!empty($_GET['add'])) {
-	echo '<p class="message">'.__('The category has been successfully created.').'</p>';
+	dcPage::message(__('The category has been successfully created.'));
 }
 if (!empty($_GET['del'])) {
-		echo '<p class="message">'.__('The category has been successfully removed.').'</p>';
+	dcPage::message(__('The category has been successfully removed.'));
 }
 if (!empty($_GET['reord'])) {
-		echo '<p class="message">'.__('Categories have been successfully reordered.').'</p>';
+	dcPage::message(__('Categories have been successfully reordered.'));
 }
 if (!empty($_GET['moved'])) {
-		echo '<p class="message">'.__('The category has been successfully moved.').'</p>';
+	dcPage::message(__('The category has been successfully moved.'));
 }
 
Index: admin/category.php
===================================================================
--- admin/category.php	(revision 500)
+++ admin/category.php	(revision 907)
@@ -164,5 +164,5 @@
 
 if (!empty($_GET['upd'])) {
-	echo '<p class="message">'.__('Category has been successfully updated.').'</p>';
+	dcPage::message(__('Category has been successfully updated.'));
 }
 
Index: admin/comment.php
===================================================================
--- admin/comment.php	(revision 500)
+++ admin/comment.php	(revision 907)
@@ -171,5 +171,5 @@
 {
 	if (!empty($_GET['upd'])) {
-		echo '<p class="message">'.__('Comment has been successfully updated.').'</p>';
+		dcPage::message(__('Comment has been successfully updated.'));
 	}
 	
Index: admin/index.php
===================================================================
--- admin/index.php	(revision 691)
+++ admin/index.php	(revision 931)
@@ -81,11 +81,13 @@
 		$fav = unserialize($v['value']);
 		if (($fav['permissions'] == '*') || $core->auth->check($fav['permissions'],$core->blog->id)) {
-			$count++;
-			$title = ($fav['name'] == 'posts' ? sprintf($str_entries,$post_count) : 
-				($fav['name'] == 'comments' ? sprintf($str_comments,$comment_count) : $fav['title']));
-			$__dashboard_icons[$fav['name']] = new ArrayObject(array(__($title),$fav['url'],$fav['large-icon']));
-
-			# Let plugins set their own title for favorite on dashboard
-			$core->callBehavior('adminDashboardFavsIcon',$core,$fav['name'],$__dashboard_icons[$fav['name']]);
+			if (dc_valid_fav($fav['url'])) {
+				$count++;
+				$title = ($fav['name'] == 'posts' ? sprintf($str_entries,$post_count) : 
+					($fav['name'] == 'comments' ? sprintf($str_comments,$comment_count) : $fav['title']));
+				$__dashboard_icons[$fav['name']] = new ArrayObject(array(__($title),$fav['url'],$fav['large-icon']));
+
+				# Let plugins set their own title for favorite on dashboard
+				$core->callBehavior('adminDashboardFavsIcon',$core,$fav['name'],$__dashboard_icons[$fav['name']]);
+			}
 		}
 	}
@@ -96,11 +98,13 @@
 		$fav = unserialize($v['value']);
 		if (($fav['permissions'] == '*') || $core->auth->check($fav['permissions'],$core->blog->id)) {
-			$count++;
-			$title = ($fav['name'] == 'posts' ? sprintf($str_entries,$post_count) : 
-				($fav['name'] == 'comments' ? sprintf($str_comments,$comment_count) : $fav['title']));
-			$__dashboard_icons[$fav['name']] = new ArrayObject(array(__($title),$fav['url'],$fav['large-icon']));
-
-			# Let plugins set their own title for favorite on dashboard
-			$core->callBehavior('adminDashboardFavsIcon',$core,$fav['name'],$__dashboard_icons[$fav['name']]);
+			if (dc_valid_fav($fav['url'])) {
+				$count++;
+				$title = ($fav['name'] == 'posts' ? sprintf($str_entries,$post_count) : 
+					($fav['name'] == 'comments' ? sprintf($str_comments,$comment_count) : $fav['title']));
+				$__dashboard_icons[$fav['name']] = new ArrayObject(array(__($title),$fav['url'],$fav['large-icon']));
+
+				# Let plugins set their own title for favorite on dashboard
+				$core->callBehavior('adminDashboardFavsIcon',$core,$fav['name'],$__dashboard_icons[$fav['name']]);
+			}
 		}
 	}
@@ -125,5 +129,5 @@
 	
 		foreach ($__resources['doc'] as $k => $v) {
-			$doc_links .= '<li><a href="'.$v.'">'.$k.'</a></li>';
+			$doc_links .= '<li><a href="'.$v.'" title="'.$k.' '.__('(external link)').'">'.$k.'</a></li>';
 		}
 	
@@ -152,5 +156,6 @@
 			foreach ($feed->items as $item)
 			{
-				$dt = isset($item->link) ? '<a href="'.$item->link.'">'.$item->title.'</a>' : $item->title;
+				$dt = isset($item->link) ? '<a href="'.$item->link.'"'.$v.'" title="'.$item->title.' '.__('(external link)').'">'.
+					$item->title.'</a>' : $item->title;
 			
 				if ($i < 3) {
Index: admin/js/_media_item.js
===================================================================
--- admin/js/_media_item.js	(revision 0)
+++ admin/js/_media_item.js	(revision 947)
@@ -63,3 +63,9 @@
 		return true;
 	});
+
+	// Confirm for deleting current medoa
+	$('#delete-form input[name="delete"]').click(function() {
+		return window.confirm(dotclear.msg.confirm_delete_media);
+	});
+
 });
Index: admin/js/_users_actions.js
===================================================================
--- admin/js/_users_actions.js	(revision 860)
+++ admin/js/_users_actions.js	(revision 935)
@@ -39,4 +39,7 @@
 					E.onclick = function() { $(this.form).updatePermissionsForm(); };
 				} else if (perm == 'contentadmin' && !E.disabled) {
+					perms[blog]['usage'].checked = E.checked;
+					perms[blog]['publish'].checked = E.checked;
+					perms[blog]['delete'].checked = E.checked;
 					perms[blog]['usage'].disabled = E.checked;
 					perms[blog]['publish'].disabled = E.checked;
@@ -44,4 +47,5 @@
 					E.onclick = function() { $(this.form).updatePermissionsForm(); };
 				} else if (perm == 'media_admin' && !E.disabled) {
+					perms[blog]['media'].checked = E.checked;
 					perms[blog]['media'].disabled = E.checked;
 					E.onclick = function() { $(this.form).updatePermissionsForm(); };
Index: admin/js/common.js
===================================================================
--- admin/js/common.js	(revision 343)
+++ admin/js/common.js	(revision 958)
@@ -319,24 +319,5 @@
 -------------------------------------------------------- */
 function positionFooter() {
-	$("#wrapper").css({ overflow: "auto" });
-	var page_height = $("#top").height() + $("#wrapper").height() - $("#footer").height();
-	if( page_height < $(window).height() ){
-		// calcul de la largeur
-		var page_width = $(document).width() - 30;
-		$("#footer").css({
-			position: "absolute",
-			bottom: "10px",
-			width: page_width+"px",
-			padding: ".75em 0",
-			marginbottom: "0"
-		});
-	} else {
-		$("#footer").css({
-			position: "static",
-			padding: ".75em 0",
-			width: "auto"
-		});
-	}
-
+	$('#footer').constantfooter();
 }
 
@@ -371,5 +352,5 @@
 
 	$('.message').backgroundFade({sColor:'#cccccc',eColor:'#666666',steps:20});
-	$('.error').backgroundFade({sColor:'#f5e5e5',eColor:'#e5bfbf',steps:20});
+	$('.error').backgroundFade({sColor:'#ffeee3',eColor:'#ffdec8',steps:20});
 
 	$('form:has(input[type=password][name=your_pwd])').submit(function() {
@@ -385,5 +366,4 @@
 	});
 
-
 	// Sticky footer
 	positionFooter();
